import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconBookmark as IconBookmarkClass } from "../../../../components/icon/icons/bookmark.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconBookmark = (props) => {
  IconBookmarkClass.define();
  const JSXElement = getReactComponent("gds-icon-bookmark");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconBookmark.displayName = "IconBookmark";
export {
  IconBookmark
};
